Subject: Re: VIM 5.0k
From: [email-masked] (David Coe)

3 Aug 1997 06:26:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------5BDF1A8F5EC5"
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Cygnus Gnu-win32 <[email-masked]>
Original-CC: "Micheal A. Benzinger" <[email-masked]>
Original-Sender: [email-masked]

This is a multi-part message in MIME format.

--------------5BDF1A8F5EC5
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Applying Chris Faylor's and Michael Benzinger's patches to vim-5.0l
together with one to define TCIOFLUSH in pty.c seems to get things going
for console, athena and motif (lesstif-0.79) versions. Thanks good
people!

I don't find any of the sluggishness complained of on NT4SP3 + Sergey's
1 Aug coolview; however, I have only termcap-1.3 installed with the
entries for linux from mc and xterm from rxvt. Maybe this is a problem
confined to terminfo or ncurses.

I do find a whole slew of X11 errors ("could not find menu widget ...",
"cannot find callback list ...") if gvim is forked and detached from the
calling shell. Using gvim -f for either of the gui-enabled versions
fixes this. Is this something for Sergey or Geoffrey's attention?

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019

--------------5BDF1A8F5EC5
Content-Type: text/plain; charset=us-ascii; name="vim-5.0l.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="vim-5.0l.patch"

*** os_unix.c.orig	Sat Jul 26 17:25:29 1997
--- os_unix.c	Sat Aug 02 08:41:23 1997
***************
*** 2322,2328 ****
      FD_ZERO(&rfds); /* calls bzero() on a sun */
      FD_ZERO(&efds);
      FD_SET(fd, &rfds);
! #ifndef __QNX__
      /* For QNX select() always returns 1 if this is set.  Why? */
      FD_SET(fd, &efds);
  #endif
--- 2322,2328 ----
      FD_ZERO(&rfds); /* calls bzero() on a sun */
      FD_ZERO(&efds);
      FD_SET(fd, &rfds);
! #if !defined(__QNX__) && !defined(__CYGWIN32__)
      /* For QNX select() always returns 1 if this is set.  Why? */
      FD_SET(fd, &efds);
  #endif
*** pty.c.orig	Sat Jul 26 17:25:43 1997
--- pty.c	Fri Aug 01 21:49:31 1997
***************
*** 48,53 ****
--- 48,57 ----
  #endif
  #include <signal.h>
  
+ #ifdef __CYGWIN32__
+ #include <sys/termios.h>
+ #endif
+ 
  #ifndef sun
  #include <sys/ioctl.h>
  #endif
*** vim.h.orig	Sat Jul 26 17:26:51 1997
--- vim.h	Sat Aug 02 08:43:13 1997
***************
*** 510,516 ****
  
  #define	TERMBUFSIZE 1024
  
! #if defined(AMIGA) || defined(__linux__) || defined(__QNX__)
  # define TBUFSZ 2048		/* buffer size for termcap entry */
  #else
  # define TBUFSZ 1024		/* buffer size for termcap entry */
--- 510,516 ----
  
  #define	TERMBUFSIZE 1024
  
! #if defined(AMIGA) || defined(__linux__) || defined(__CYGWIN32__) || defined(__QNX__)
  # define TBUFSZ 2048		/* buffer size for termcap entry */
  #else
  # define TBUFSZ 1024		/* buffer size for termcap entry */
***************
*** 539,545 ****
  #ifdef __EMX__
  # define O_EXTRA    O_BINARY
  #else
! # define O_EXTRA    0
  #endif
  
  #define CHANGED		set_Changed()
--- 539,549 ----
  #ifdef __EMX__
  # define O_EXTRA    O_BINARY
  #else
! # ifdef __CYGWIN32__
! #   define O_EXTRA  O_BINARY
! # else
! #   define O_EXTRA  0
! # endif
  #endif
  
  #define CHANGED		set_Changed()

--------------5BDF1A8F5EC5--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".